Bug 108419 - Make rpc.rquotad a PIE
Make rpc.rquotad a PIE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: quota (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
: FutureFeature
Depends On:
Blocks: 107774
  Show dependency treegraph
 
Reported: 2003-10-29 03:43 EST by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.10-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 03:12:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Minimal patch to build as PIE (988 bytes, patch)
2003-10-29 03:43 EST, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2003-10-29 03:43:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a) Gecko/20031028
Firebird/0.7+

Description of problem:
rpc.quotad is long running and of questionable lineage.  A good candidate for
PIE.  I'll attach a patch.

Version-Release number of selected component (if applicable):
quota-3.06-11

How reproducible:
Always

Steps to Reproduce:
1.readelf -h /usr/sbin/rpc.rquotad|fgrep Type
2.
3.
    

Actual Results:    Type:                              EXEC (Executable file)


Expected Results:    Type:                              DYN (Shared object file)


Additional info:
Comment 1 Ulrich Drepper 2003-10-29 03:43:49 EST
Created attachment 95566 [details]
Minimal patch to build as PIE
Comment 2 Florian La Roche 2004-01-30 12:26:01 EST
Fixed in quota-3.10-1 or newer.


Note You need to log in before you can comment on or make changes to this bug.